cgGetFirstSamplerStateAssignment(3)

NAME
cgGetFirstSamplerStateAssignment - get the first state assignment in a sampler_state block

SYNOPSIS
  #include <Cg/cg.h>
  CGstateassignment cgGetFirstSamplerStateAssignment( CGparameter param );

PARAMETERS

param
    The sampler parameter from which to retrieve the first state assignment.

RETURN VALUES
Returns the first CGstateassignment object assigned to param.

Returns NULL if param has no sampler_state block or an error occurs.

DESCRIPTION
cgGetFirstSamplerStateAssignment is used to begin iteration over all of the state assignments contained within a sampler_state block assigned to a parameter in an effect file. See the cgGetNextStateAssignment manpage for more information.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetFirstSamplerStateAssignment was introduced in Cg 1.4.

SEE ALSO
the cgGetNextStateAssignment manpage, the cgIsStateAssignment manpage